<h2><%= t("devise.edit")%> <%= resource_name.to_s.humanize %></h2>

<%= form_for(resource, as: resource_name, url: registration_path(resource_name), html: { method: :put }) do |f| %>
  <%= devise_error_messages! %>

  <div><%= f.label t("devise.email") %><br />
  <%= f.email_field :email %></div>

  <div><%= f.label t("devise.name") %><br />
    <%= f.text_field :name %></div>

  <div><%= f.label t("devise.password") %> <i><%= t("devise.leave_blank_if_no_changes") %></i><br />
  <%= f.password_field t("devise.password")%></div>

  <div><%= f.label t("devise.password_confirmation") %><br />
  <%= f.password_field :password_confirmation %></div>

  <div><%= f.label t("devise.current_password") %> <i> <%= t("devise.we_need_your_current_password_to_confirm_your_changes")%></i><br />
  <%= f.password_field :current_password %></div>

<div><%= f.submit t("devise.update"), class: "input_button" %></div>
<% end %>

<h3><%= t("devise.cancel_my_account")%></h3>

<p><%= t("devise.unhappy") %> <%= link_to t("devise.cancel_my_account"), registration_path(resource_name), data: { confirm: t("devise.are_you_sure"), method: :delete }%>.</p>

<%= link_to t("devise.back"), :back %>
